CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2025 开发者帮助

LayoutShowPlotSetup 属性 (ActiveX)

2024-5-18 19:21| 发布者: admin| 查看: 21| 评论: 0|原作者: admin|来自: AutoCAD

LayoutShowPlotSetup 属性 (ActiveX)

创建新布局时切换“打印设置”对话框的显示。

支持的平台:仅限 Windows

签名

VBA:

object.LayoutShowPlotSetup
对象

类型:首选项显示

此属性应用于的对象。

属性值

只读:

类型:布尔

  • True:创建新布局时显示对话框。
  • False:创建新布局时不显示对话框。

言论

此属性的初始值为 。True

例子

VBA:

Sub Example_LayoutShowPlotSetup()
    ' This example reads and modifies the preference value that controls
    ' the display of the Plot Setup dialog when a new layout is created.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesDisplay
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the display preferences object
    Set ACADPref = ThisDrawing.Application.preferences.DISPLAY
    
    ' Read and display the original value
    originalValue = ACADPref.LayoutShowPlotSetup
    MsgBox "The LayoutShowPlotSetup preference is set to: " & originalValue

    ' Modify the LayoutShowPlotSetup preference by toggling the value
    ACADPref.LayoutShowPlotSetup = Not (originalValue)
    newValue = ACADPref.LayoutShowPlotSetup
    MsgBox "The LayoutShowPlotSetup preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.LayoutShowPlotSetup = originalValue
    MsgBox "The LayoutShowPlotSetup preference was reset back to: " & originalValue
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_LayoutShowPlotSetup()
    ;; This example reads and modifies the preference value that controls
    ;; the display of the Plot Setup dialog when a new layout is created.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-LayoutShowPlotSetup (vla-get-Display preferences)))
    (alert (strcat "The LayoutShowPlotSetup preference is set to: " (if (= originalValue :vlax-true) "True"  "False")))

    ;; Modify the LayoutShowPlotSetup preference by toggling the value
    (vla-put-LayoutShowPlotSetup (vla-get-Display preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-LayoutShowPlotSetup (vla-get-Display preferences)))
    (alert (strcat "The LayoutShowPlotSetup preference has been set to: " (if (= newValue :vlax-true) "True"  "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-LayoutShowPlotSetup (vla-get-Display preferences) originalValue)
    (alert (strcat "The LayoutShowPlotSetup preference was reset back to: " (if (= originalValue :vlax-true) "True"  "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-6-27 16:00

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部